Skip to main content
POST
/
networks
/
custom
/
landingpages
/
table
Find Custom Landing Pages (Advanced)
curl --request POST \
  --url https://api.eflow.team/v1/networks/custom/landingpages/table \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "search_terms": [],
  "filters": {}
}
'
import requests

url = "https://api.eflow.team/v1/networks/custom/landingpages/table"

payload = {
"search_terms": [],
"filters": {}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({search_terms: [], filters: {}})
};

fetch('https://api.eflow.team/v1/networks/custom/landingpages/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "entries": [
    {
      "network_custom_landing_page_setting_id": 123,
      "network_id": 123,
      "is_apply_all_affiliates": true,
      "network_affiliate_ids": [
        123
      ],
      "network_offer_id": 123,
      "name": "<string>",
      "network_offer_landing_page_id": 123,
      "description": "<string>",
      "destination_url": "<string>",
      "custom_setting_status": "<string>",
      "date_valid_from": "<string>",
      "date_valid_to": "<string>",
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "network_creative_ids": [
        123
      ],
      "relationship": {
        "affiliates": [
          {
            "network_affiliate_id": 123,
            "network_id": 123,
            "name": "<string>",
            "account_status": "<string>"
          }
        ],
        "offer": {
          "network_offer_id": 123,
          "network_id": 123,
          "name": "<string>",
          "offer_status": "<string>"
        },
        "variables": {
          "total": 123,
          "entries": [
            {
              "network___custom___landing___page___setting___variable___id": 123,
              "network___custom___landing___page___setting___id": 123,
              "comparison_method": "<string>",
              "variable": "<string>",
              "variable_value": "<string>",
              "variable_secondary_value": "<string>"
            }
          ]
        },
        "creatives": [
          {
            "id": 123,
            "label": "<string>",
            "status": "<string>"
          }
        ]
      }
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}
Retrieve a paginated list of custom landing page settings. Supports search filters, sorting, and pagination to help you find and browse landing page configurations programmatically.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

relationship
enum<string>

Include additional related data. The offer and affiliates relationships are always returned. Use variables to add variable conditions, or all to include variables and creatives.

Available options:
variables,
all
order_field
enum<string>

Field to order results by.

Available options:
network_custom_landing_page_setting_id,
network_custom_landing_page_setting_name,
offer_name,
network_custom_landing_page_setting_status,
network_custom_landing_page_setting_destination_url,
network_custom_landing_page_setting_time_created,
network_custom_landing_page_setting_time_saved
order_direction
enum<string>

Sort direction.

Available options:
asc,
desc

Body

application/json
search_terms
object[]

Text search filters.

filters
object

Structured filters to narrow results.

Response

200 - application/json
entries
object[]
paging
object